Bug 441004 - Don't scale the image when hovering over a combobox with zoom levels
Summary: Don't scale the image when hovering over a combobox with zoom levels
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: 21.08.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-15 12:04 UTC by popov895
Modified: 2021-09-10 09:28 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.12


Attachments
Combobox with zoom levels (27.60 KB, image/png)
2021-08-15 12:04 UTC, popov895
Details

Note You need to log in before you can comment on or make changes to this bug.
Description popov895 2021-08-15 12:04:29 UTC
Created attachment 140742 [details]
Combobox with zoom levels

SUMMARY

IMO, it's a bad UX to scale image when hovering over a combobox with zoom levels. The user has not yet made a selection (maybe he will decide to keep the current zoom level), but the image has already been scaled. There is no way to undo changes made by hovering over an item in this comboxbox. No editor or image viewer does this.

If you want to show how the image will look when you hover over a certain zoom level - that's great, but apply the zoom level finally only when the user makes his choice.

SOFTWARE/OS VERSIONS

Operating System: KDE neon 5.22
KDE Plasma Version: 5.22.4
KDE Frameworks Version: 5.84.0
Qt Version: 5.15.3
Graphics Platform: X11
Comment 1 Nate Graham 2021-08-16 17:59:01 UTC
Ah, so if the user closes the popup without choosing an item in it, the view should return the zoom level to what it was before? Do I have that right?
Comment 2 popov895 2021-08-16 20:04:09 UTC
Yep. And the scroll position too.
Comment 3 popov895 2021-08-16 20:12:00 UTC
Actually, I would prefer that this feature did not exist at all, but I think that you are not going to do this. At least add the option to disable it.
Comment 4 Bug Janitor Service 2021-09-01 14:37:13 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/gwenview/-/merge_requests/99
Comment 5 Felix Ernst 2021-09-07 22:16:11 UTC
Closing the popup without making a selection is supposed to reset the zoom value. I remember this working. Please file a new bug report for this if you want to see it tracked.

What is mainly reported here is intentional and I have only seen positive feedback about it so far (though I am not sure how this will change while this is buggy).

Changing the zoom value on hover solves a bunch of usability problems. One of them being that users make a selection and then noticing that it isn't the zoom value they wanted so they will have to open the popup again and make another selection hoping they selected a good zoom value this time.
Comment 6 Felix Ernst 2021-09-07 22:29:02 UTC
>Closing the popup without making a selection is supposed to reset the zoom value.
>I remember this working. Please file a new bug report for this if you want to
>see it tracked.
Hmm maybe this bug report already is about this and I misread it. The title makes it sound like zoom on hover shouldn't be happening at all but the initial comment is mostly bothered by the zoom value being applied without users actually making a selection.

Alright, let's track that issue here then.
Comment 7 Bug Janitor Service 2021-09-09 13:16:48 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/gwenview/-/merge_requests/106
Comment 8 Felix Ernst 2021-09-10 09:28:02 UTC
Git commit 514e35ae4a2049682fb65f18ce03c3448c08c2b6 by Felix Ernst.
Committed on 09/09/2021 at 13:02.
Pushed by felixernst into branch 'master'.

Don't change the zoom value unless the user made a selection

This is a fix for a feature that was recently introduced.

The ZoomComboBox in the very bottom right of the Gwenview main
window can be used to select different zoom values. The zoom values
are changed when they are hovered so users have a way to know
which zoom these values correspond to in relation to the size of
the currently viewed image.

Unfortunately when a user hovered any option and then closed
the popup without making a selection, the zoom value wasn't
correctly reset to the zoom value that was used before the popup
was opened. This commit fixes this.

This commit also makes it so when the popup is opened, the option
that corresponds to the current zoom value is highlighted. If the
current zoom value doesn't exist as an option in the popup,
nothing is highlighted by default.
FIXED-IN: 21.12

M  +23   -7    lib/zoomcombobox/zoomcombobox.cpp

https://invent.kde.org/graphics/gwenview/commit/514e35ae4a2049682fb65f18ce03c3448c08c2b6